unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, GLScene, GLVectorFileObjects, GLMisc, GLWin32Viewer, StdCtrls,
  GLCadencer;

type
  TForm1 = class(TForm)
    GLScene1: TGLScene;
    GLSceneViewer1: TGLSceneViewer;
    GLCamera1: TGLCamera;
    GLLightSource1: TGLLightSource;
    GLFreeForm1: TGLFreeForm;
    Button1: TButton;
    GLCadencer1: TGLCadencer;
    GLFreeForm2: TGLFreeForm;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure GLCadencer1Progress(Sender: TObject; const deltaTime,
      newTime: Double);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses
  GLFileMD2, GLExplosionFx;

procedure TForm1.FormCreate(Sender: TObject);
begin
  GLFreeForm1.LoadFromFile('waste.md2');
  GLFreeForm2.Assign(GLFreeForm1);
  GLFreeForm2.Visible := False;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  TGLBExplosionFx(GLFreeForm1.Effects.Items[0]).Reset;

  GLFreeForm1.Assign(GLFreeForm2);
  GLFreeForm1.Visible := True;

  with TGLBExplosionFx(GLFreeForm1.Effects.Items[0]) do
  begin
    MaxSteps := 0;
    Speed := 0.1;
    Enabled := True;
  end;
end;

procedure TForm1.GLCadencer1Progress(Sender: TObject; const deltaTime,
  newTime: Double);
begin
  GLSceneViewer1.Invalidate;
end;

end.
